package com.docus.server.collection.infrastructure.dao.mapper;


import com.docus.server.collection.infrastructure.dao.entity.TBasic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 病案基本信息 Mapper 接口
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
public interface TBasicMapper{

    Integer selectOne(@Param("jzh") String jzh);

    Integer insertBatch(@Param("tBasicList") List<TBasic> tBasicList);

    Integer update(@Param("tBasic") TBasic tBasic);

    String getPatientIdByJzh(@Param("jzh") String jzh);

    List<String> getPatientIdByMomJzh(@Param("momJzh") String momJzh);

    List<String> getPid();
}
